summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBradley Sepos <[email protected]>2016-06-04 08:36:30 -0400
committerBradley Sepos <[email protected]>2016-06-25 22:45:45 -0400
commitf11a0107743903c2f074fc3b0e88527d61d24bb1 (patch)
treebdab81e4f24b9d3d290a82e4224bbbc6390239a6 /scripts
parent61aa2e032f54b7b81d3764e58ca4545cadd1d8cf (diff)
preset: Move preset-related resources to separate directory.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build-presets.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/scripts/build-presets.sh b/scripts/build-presets.sh
index da729dd5b..c89da2d35 100755
--- a/scripts/build-presets.sh
+++ b/scripts/build-presets.sh
@@ -5,8 +5,9 @@ SELF="${BASH_SOURCE[0]}"
BASE_DIR=$(cd $(dirname "${BASH_SOURCE[0]}") && pwd -P)
BASE_DIR="${BASE_DIR:-$(pwd)}"
LIBHB_DIR="${BASE_DIR}/../libhb"
+PRESETS_DIR="${BASE_DIR}/../preset"
-if ! cd "${LIBHB_DIR}"; then
+if ! cd "${PRESETS_DIR}"; then
exit 1
fi
@@ -16,11 +17,11 @@ if [[ "${JSON_TEMP:-}" == "" ]] || [[ "${C_TEMP:-}" == "" ]]; then
echo "unable to create temporary file" >2
exit 1
fi
-"${BASE_DIR}/create_resources.py" libhb_presets.list "${JSON_TEMP}" \
+"${BASE_DIR}/create_resources.py" preset_builtin.list "${JSON_TEMP}" \
&& echo 'const char hb_builtin_presets_json[] =' > "${C_TEMP}" \
&& "${BASE_DIR}/quotestring.py" "${JSON_TEMP}" >> "${C_TEMP}" \
&& echo ';' >> "${C_TEMP}" \
-&& cp "${C_TEMP}" builtin_presets.h
+&& cp "${C_TEMP}" "${LIBHB_DIR}/preset_builtin.h"
rm "${JSON_TEMP}" "${C_TEMP}"
exit 0